import * as tslib_1 from "tslib";
import { IgCollection } from "igniteui-react-core/ES5/IgCollection";
import { markType } from "igniteui-react-core/ES5/type";
import { SyncableObservableCollection$2 } from "igniteui-react-core/ES5/SyncableObservableCollection$2";
import { TimeAxisLabelFormat as TimeAxisLabelFormat_internal } from './TimeAxisLabelFormat';
import { TimeAxisLabelFormat as TimeAxisLabelFormat } from './igr-time-axis-label-format';
var TimeAxisLabelFormatCollection = /** @class */ (function (_super) {
    tslib_1.__extends(TimeAxisLabelFormatCollection, _super);
    function TimeAxisLabelFormatCollection(list) {
        var _this = _super.call(this) || this;
        if (!TimeAxisLabelFormat.$type) {
            TimeAxisLabelFormat.$type = markType(TimeAxisLabelFormat, "TimeAxisLabelFormat");
        }
        if (list) {
            for (var i = 0; i < list.length; i++) {
                _this.add(list[i]);
            }
        }
        return _this;
    }
    TimeAxisLabelFormatCollection.prototype._createInnerColl = function () {
        if (!TimeAxisLabelFormat.$type) {
            TimeAxisLabelFormat.$type = markType(TimeAxisLabelFormat, "TimeAxisLabelFormat");
        }
        var coll = new SyncableObservableCollection$2(TimeAxisLabelFormat.$type, TimeAxisLabelFormat_internal.$type, 0);
        coll.compare = function (ext, int) {
            var comp = ext;
            if (comp._implementation) {
                comp = comp._implementation;
            }
            if (comp.equals) {
                return comp.equals(int);
            }
            return comp === int;
        };
        coll.createTo = function (ext) {
            return ext._implementation;
        };
        coll.createFrom = function (int) {
            var ext = int.externalObject;
            if (!ext) {
                ext = new TimeAxisLabelFormat();
                ext._implementation = int;
            }
            return ext;
        };
        return coll;
    };
    return TimeAxisLabelFormatCollection;
}(IgCollection));
export { TimeAxisLabelFormatCollection };
